curl --request PUT \
--url https://api.buildwithchirp.com/v1/organization/whatsapp/phone-numbers/{phoneNumberId}/apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appIds": [
"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
]
}
'import requests
url = "https://api.buildwithchirp.com/v1/organization/whatsapp/phone-numbers/{phoneNumberId}/apps"
payload = { "appIds": ["app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({appIds: ['app_2DbBs7GWhGvVNJGrDXr5RG0mBWI']})
};
fetch('https://api.buildwithchirp.com/v1/organization/whatsapp/phone-numbers/{phoneNumberId}/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "wapn_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"displayPhoneNumber": "<string>",
"metaPhoneNumberId": "<string>",
"metaBusinessAccountId": "<string>",
"verified": true,
"qualityRating": "<string>",
"throughputTier": "<string>",
"qualityEvent": "<string>",
"qualityEventAt": "2023-11-07T05:31:56Z",
"nameStatus": "<string>",
"requestedVerifiedName": "<string>",
"nameRejectionReason": "<string>",
"nameDecisionAt": "2023-11-07T05:31:56Z",
"isTestNumber": true,
"cloudApiRegistered": true,
"businessProfile": {
"id": "<string>",
"metaWabaId": "<string>",
"businessName": "<string>"
},
"apps": [
{
"appId": "<string>",
"appName": "<string>",
"appSlug": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}Update WhatsApp phone number app assignments
Update which apps a WhatsApp phone number is assigned to
Authorizations
Admin API key (format: sk_admin_*) for organization-level operations
Path Parameters
Unique identifier for a WhatsApp Phone Number. Format: wapn_[test_]{ksuid}
^wapn_(?:test_)?[a-zA-Z0-9]{27}$"wapn_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Body
Array of app IDs to assign the phone number to
["app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"]
Response
WhatsApp phone number app assignments updated successfully
Unique identifier for a WhatsApp Phone Number. Format: wapn_[test_]{ksuid}
^wapn_(?:test_)?[a-zA-Z0-9]{27}$"wapn_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Messaging throughput tier from phone_number_quality_update (e.g. STANDARD, HIGH)
Most recent quality event (e.g. FLAGGED, ONBOARDED, UPGRADE)
Display name verification status (APPROVED, REJECTED, PENDING, DEFERRED)
Whether the phone number has been registered with Meta Cloud API (two-step verification)
The WhatsApp Business Account (WABA) this phone number belongs to
Show child attributes
Show child attributes
Show child attributes
Show child attributes